<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XCustomUserField StructType
 * @subpackage Structs
 */
class XCustomUserField extends AbstractStructBase
{
    /**
     * The field
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $field;
    /**
     * Constructor method for XCustomUserField
     * @uses XCustomUserField::setField()
     * @param string $field
     */
    public function __construct($field = null)
    {
        $this
            ->setField($field);
    }
    /**
     * Get field value
     * @return string
     */
    public function getField()
    {
        return $this->field;
    }
    /**
     * Set field value
     * @param string $field
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XCustomUserField
     */
    public function setField($field = null)
    {
        $this->field = $field;
        return $this;
    }
}
